/*
 *	timestamp.h - file time stamps
 */

#ifndef	TIMESTAMP_H
#define	TIMESTAMP_H

#include <time.h>

#ifdef	apollo
#include <apollo/base.h>
#include <apollo/cal.h>

		/* obtain time zone from ... */

#define	TZ_APOLLO	/* ... cal_$get_info function */
#else
#if	defined(__hpux) || defined(__sgi) || defined(__SVR4)
#define	TZ_SYSV		/* ... extern tzname array */
#else
#define	TZ_BSD		/* ... tm_zone in struct tm */
#endif	/* defined(__hpux) || defined(__sgi) || defined(__SVR4) */
#endif	/* apollo */

#if	defined(__hpux) || defined(__386BSD__) || defined(__sgi) || defined(linux)
#include <utime.h>

#define	UTIMBUF		/* utime uses struct utimbuf instead of time_t array */
#endif	/* defined(__hpux) || defined(__386BSD__) || defined(__sgi) */

#endif	/* TIMESTAMP_H */
